diff bin/setup @ 72:257910c60eb3

Rails 5 \o/
author nanaya <me@myconan.net>
date Fri, 13 May 2016 04:32:21 +0900
parents 541427960031
children f67f3ad50270
line wrap: on
line diff
--- a/bin/setup	Tue Mar 01 16:34:29 2016 +0900
+++ b/bin/setup	Fri May 13 04:32:21 2016 +0900
@@ -1,29 +1,34 @@
 #!/usr/bin/env ruby
 require "pathname"
+require "fileutils"
+include FileUtils
 
 # path to your application root.
-APP_ROOT = Pathname.new File.expand_path("../../",  __FILE__)
+APP_ROOT = Pathname.new File.expand_path("../../", __FILE__)
 
-Dir.chdir APP_ROOT do
+def system!(*args)
+  system(*args) || abort("\n== Command #{args} failed ==")
+end
+
+chdir APP_ROOT do
   # This script is a starting point to setup your application.
-  # Add necessary setup steps to this file:
+  # Add necessary setup steps to this file.
 
   puts "== Installing dependencies =="
-  system "gem install bundler --conservative"
-  system "bundle check || bundle install"
+  system! "gem install bundler --conservative"
+  system("bundle check") || system!("bundle install")
 
   # puts "\n== Copying sample files =="
-  # unless File.exist?("config/database.yml")
-  #   system "cp config/database.yml.sample config/database.yml"
+  # unless File.exist?('config/database.yml')
+  #   cp 'config/database.yml.sample', 'config/database.yml'
   # end
 
   puts "\n== Preparing database =="
-  system "bin/rake db:setup"
+  system! "bin/rails db:setup"
 
   puts "\n== Removing old logs and tempfiles =="
-  system "rm -f log/*"
-  system "rm -rf tmp/cache"
+  system! "bin/rails log:clear tmp:clear"
 
   puts "\n== Restarting application server =="
-  system "touch tmp/restart.txt"
+  system! "bin/rails restart"
 end